Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045207
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Selfcheckoutmajoralways2020-10-08 10:432020-10-26 06:47
ReporterguillermogilView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date2020-04-30
Regression introduced in releaseRR20Q3
Regression introduced by commithttp://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/e73f4491be4db7a568bfc01b733f24dcf4f7fd32 [^]
Triggers an Emergency PackNo
Summary

0045207: It is not possible to navigate to SCO in case there is a partial payment

DescriptionIt is not possible to navigate to SCO in case there is a partial payment.
SCO is prepared from model and UI to allow partial payments and the flow may navigate to SCO again at any moment, there is no functional or technical restriction to block it.
Steps To ReproduceLogin on SCO terminal
On WebPOS add a product and a partial payment
Navigate to SCO
You will see the error raises
Proposed SolutionAloow that possibility and ensure issue 43723 is fixed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
caused by defect 0043723 closedprakashmurugesan88 It is possible to generate payments with amount 0 when starting a transaction in WebPOS and finishing it in SCO 

-  Notes
(0123912)
hgbot (developer)
2020-10-26 06:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/8 [^]
(0123913)
marvintm (developer)
2020-10-26 06:47

For the moment, we have been unable to reproduce the original issue. If later on we do we will try to push a fix for it, but for now we are removing the navigation restriction added as part of the original fix.
(0123914)
hgbot (developer)
2020-10-26 06:47

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout [^]
Changeset: a662f06be8f669d26fe2f5ab6936834aaf92b218
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-10-21T16:03:44+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/commit/a662f06be8f669d26fe2f5ab6936834aaf92b218 [^]

Fixed BUG-45207: Removed validation that restricts navigation to SCO with payments

---
M web/org.openbravo.retail.selfcheckout/source/view/scoModel.js
---
(0123915)
hgbot (developer)
2020-10-26 06:47

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/8 [^]

- Issue History
Date Modified Username Field Change
2020-10-08 10:43 guillermogil New Issue
2020-10-08 10:43 guillermogil Assigned To => Retail
2020-10-08 10:43 guillermogil Regression date => 2020-04-30
2020-10-08 10:43 guillermogil Regression introduced in release => RR20Q3
2020-10-08 10:43 guillermogil Regression introduced by commit => http://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/e73f4491be4db7a568bfc01b733f24dcf4f7fd32 [^]
2020-10-08 10:43 guillermogil Triggers an Emergency Pack => No
2020-10-08 10:43 guillermogil Relationship added caused by 0043723
2020-10-21 07:29 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-10-21 07:29 prakashmurugesan88 Status new => scheduled
2020-10-26 06:11 hgbot Note Added: 0123912
2020-10-26 06:47 marvintm Note Added: 0123913
2020-10-26 06:47 hgbot Resolution open => fixed
2020-10-26 06:47 hgbot Status scheduled => closed
2020-10-26 06:47 hgbot Note Added: 0123914
2020-10-26 06:47 hgbot Note Added: 0123915


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker